Page MenuHomePhabricator

Add support for playing sounds
ClosedPublic

Authored by epriestley on Jun 14 2014, 9:40 PM.

Details

Summary

Ref T5369. New HTML5 version without flash dependencies.

This doesn't play any sounds.

Test Plan

Did not play any sounds.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley updated this revision to Diff 22854.Jun 14 2014, 9:40 PM
epriestley retitled this revision from to [Draft] Play sounds.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley updated this revision to Diff 26979.Jan 6 2015, 4:23 AM
  • No Flash dependency.
  • Seems fine in Safari, Chrome, Firefox.
  • But plays multiple times with multiple open tabs, since there's no synchronization.
epriestley planned changes to this revision.Jan 6 2015, 4:24 AM

We can't move this forward until synchronization works.

epriestley updated this revision to Diff 27072.Jan 7 2015, 2:22 PM
epriestley retitled this revision from [Draft] Play sounds to Play sounds when chat is received.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: btrahan.
  • New version which seems reasonable enough to move forward with.
btrahan edited edge metadata.Jan 7 2015, 5:41 PM

I don't like the sound. It reminds me of speakers cracking from some bad signal.

I'd like a sound that is either more of a chime (reverberating metal / other material that is pleasant in tone) or more "wet" (so more of a popping bubble) or maybe we can have it all and get some sort of chiming bubble pop sound.

epriestley updated this revision to Diff 28968.Mar 10 2015, 8:36 PM
epriestley edited edge metadata.
  • Add sound tech but no actual sounds.
epriestley retitled this revision from Play sounds when chat is received to Add support for playing sounds.Mar 10 2015, 8:39 PM
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
btrahan accepted this revision.Mar 10 2015, 8:55 PM
btrahan edited edge metadata.
This revision is now accepted and ready to land.Mar 10 2015, 8:55 PM
This revision was automatically updated to reflect the committed changes.